Bug 243602 - Disabling IPv6 during install doesn't seem to disable IPv6
Disabling IPv6 during install doesn't seem to disable IPv6
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Depends On:
  Show dependency treegraph
Reported: 2007-06-10 11:10 EDT by Anthony Messina
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-11 11:27:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anthony Messina 2007-06-10 11:10:17 EDT
Description of problem:
When doing a fresh f7 install on a workstation with 1 NIC, and deselecting
"enable IPv6 on this interface" the assumption is that IPv6 will not be enabled,
yet the service ip6tables is started and ifconfig displays an IPv6 address for
the interface.

How reproducible:
Every time

Steps to Reproduce:
1. During the install, deselect "Enable IPv6 on this interface"
2. Finish the normal install and reboot
Actual results:
After each successive reboot, during init, ip6tables takes "forever" to load and
eventually gives an [OK] at the end of the line, but looking through the logs,
you can see a message similar to "No IPv6 routers present".

Expected results:
If you disable IPv6 during the install, this should act as the "master switch"
to disable IPv6-related installation/configuration on the workstation.

Additional info:
I'm not sure how most people view hat checkbox during the install.  If we are
viewing is as the "master switch" then it doesn't work as expected.

This goes to the heart of whether or not we may need an option to truly disable
IPv6, perhaps for those people who have no IPv6 equipment/routers/other
workstations, etc.
Comment 1 David Cantrell 2007-06-11 11:27:08 EDT
This was a topic of confusion in the Fedora Development tree leading up to
Fedora 7.  The checkbox in the installer is not meant to be a master switch, but
rather a control for the network bringup commands that are about to run.  If you
select Enable IPv6 during installation, anaconda will try to obtain an IPv6
address.  Some people don't want the installer to even try this, so the option
to disable IPv6 configuration during installation is there.

Right now in Fedora, both IPv4 and IPv6 things are enabled by default.  Users
should not have to care whether the IPv4 or IPv6 stacks are enabled or disabled,
likewise with the ip6tables service.  Both stacks are considered part of the
all-encompassing network configuration.

In past releases, users could disable the IPv6 stack, but we're not doing that
anymore.  Having the IPv6 stack active doesn't affect anything, but if you
really need to disable it in your environment, you can prevent loading the
ipv6.ko kernel module at boot time.  All IPv6-dependent things won't load if
that module isn't loaded.
Comment 2 Anthony Messina 2007-06-11 11:39:30 EDT
thank you for the clarification.  where would i begin trying to figure out why
ip6tables takes so long to load (since i have not other ipv6-enabled
workstations or routers on this network)?
Comment 3 David Cantrell 2007-06-11 13:42:30 EDT
I would suggest searching bugzilla for other open bugs against ip6tables.  May
be a known issue.  Failing that, contact the package maintainer (usually the
first email address listed in the changelog of the package...you can get the
changelog this way:  rpm -q --changelog ip6tables).

Note You need to log in before you can comment on or make changes to this bug.